Conrec.h File Reference
`#include <vector>`
`#include <Geometry/point.h>`

Go to the source code of this file.

## Classes

struct | conrec::ConrecSegment

## Namespaces

| conrec

## Macros

#define | xsect(p1, p2) (h[p2] * xh[p1] - h[p1] * xh[p2]) / (h[p2] - h[p1])
#define | ysect(p1, p2) (h[p2] * yh[p1] - h[p1] * yh[p2]) / (h[p2] - h[p1])

## Functions

void | conrec::Contour (const double *d, size_t ilb, size_t iub, size_t jlb, size_t jub, const double *x, const double *y, size_t nc, double *z, std::vector< ConrecSegment > &res)

## Macro Definition Documentation

## xsect

#define xsect | ( |  | p1,
|  |  | p2
| ) |  | (h[p2] * xh[p1] - h[p1] * xh[p2]) / (h[p2] - h[p1])

## ysect

#define ysect | ( |  | p1,
|  |  | p2
| ) |  | (h[p2] * yh[p1] - h[p1] * yh[p2]) / (h[p2] - h[p1])